## ros-kinetic-rosbag 1.12.17

=== debian/changelog ===
ros-kinetic-rosbag (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Gracefully stop recording upon SIGTERM and SIGINT (#2038 <https://github.com/ros/ros_comm/issues/2038>)
  * Contributors: Devin Bonnie, Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rosbag (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rosbag (1.12.15-1xenial) xenial; urgency=high

  * fix roslib not being imported (#1818 <https://github.com/ros/ros_comm/issues/1818>)
  * remove deadcode (#1786 <https://github.com/ros/ros_comm/issues/1786>)
  * record: fix signed int overflow (#1741 <https://github.com/ros/ros_comm/issues/1741>)
  * fix topic message count for rosbag indexed v1.2 (#1648 <https://github.com/ros/ros_comm/issues/1648>)
  * fix wrong error handling in migration. (#1639 <https://github.com/ros/ros_comm/issues/1639>)
  * fix waitForSubscribers hanging with simtime (#1543 <https://github.com/ros/ros_comm/issues/1543>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rosbag (1.12.14-1xenial) xenial; urgency=high

  * add TransportHint options --tcpnodelay and --udp (#1295 <https://github.com/ros/ros_comm/issues/1295>)
  * fix check for header first in rosbag play for rate control topic (#1352 <https://github.com/ros/ros_comm/issues/1352>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rosbag (1.12.13-1xenial) xenial; urgency=high

  * return an error status on error in rosbag (#1257 <https://github.com/ros/ros_comm/issues/1257>)
  * fix warn of --max-splits without --split (#1237 <https://github.com/ros/ros_comm/issues/1237>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rosbag (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.8-1xenial) xenial; urgency=high

  * fix Python 3 compatibility (#1150 <https://github.com/ros/ros_comm/issues/1150>)
  * fix handling connections without indices (#1109 <https://github.com/ros/ros_comm/pull/1109>)
  * improve message of check command (#1067 <https://github.com/ros/ros_comm/pull/1067>)
  * fix BZip2 inclusion (#1016 <https://github.com/ros/ros_comm/pull/1016>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.7-1xenial) xenial; urgency=high

  * throw exception instead of accessing invalid memory (#971 <https://github.com/ros/ros_comm/pull/971>)
  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)
  * added option wait-for-subscriber to rosbag play (#959 <https://github.com/ros/ros_comm/issues/959>)
  * terminate underlying rosbag play, record  on SIGTERM (#951 <https://github.com/ros/ros_comm/issues/951>)
  * add pause service for rosbag player (#949 <https://github.com/ros/ros_comm/issues/949>)
  * add rate-control-topic and rate-control-max-delay. (#947 <https://github.com/ros/ros_comm/issues/947>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rosbag (1.12.6-1xenial) xenial; urgency=high

  * fix BagMigrationException in migrate_raw (#917 <https://github.com/ros/ros_comm/issues/917>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.3-1xenial) xenial; urgency=high

  * set default values for min_space and min_space_str (#883 <https://github.com/ros/ros_comm/issues/883>)
  * record a maximum number of splits and then begin deleting old files (#866 <https://github.com/ros/ros_comm/issues/866>)
  * allow 64-bit sizes to be passed to robag max_size (#865 <https://github.com/ros/ros_comm/issues/865>)
  * update rosbag filter progress meter to use raw uncompressed input size (#857 <https://github.com/ros/ros_comm/issues/857>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.1-1xenial) xenial; urgency=high

  * promote the result of read_messages to a namedtuple (#777 <https://github.com/ros/ros_comm/pull/777>)
  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rosbag (1.12.0-1xenial) xenial; urgency=high

  * add missing parameter to AdvertiseOptions::createAdvertiseOptions (#733 <https://github.com/ros/ros_comm/issues/733>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rosbag (1.11.18-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rosbag (1.11.17-1xenial) xenial; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000


